#!/usr/bin/env ruby
# coding: utf-8
 
puts "ここはスーパーマーケットのレジだよ。
買ったものの値段を入れてね!(100円→100と入力)"
 
 
□ = 0
while true
  print "値段は?:(終わりたい時はqを押してね)"
  △ = gets.chomp
  if △ == "q" then
    break
    end
  □ +=△.to_i
  printf("今の合計は%d円だよ!\n",□)
end
printf("今回の合計は%d円です。お買い上げありがとうございました!\n",□)
